apiVersion: v1
kind: Pod
metadata:
  name: api-registry
  labels:
    app.kubernetes.io/name: api-registry
spec:
  containers:
  - name: api-registry
    image: git.pbiernat.io/egommerce/api-registry:dev
    resources:
      limits:
        cpu: "1"
        memory: 512M
    ports:
      - containerPort: 8501
        name: api-registry-ui
---
apiVersion: v1
kind: Service
metadata:
  name: api-registry
spec:
  selector:
    app.kubernetes.io/name: api-registry
  ports:
  - name: api-registry-ui
    protocol: TCP
    port: 8501
    targetPort: api-registry-ui
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: api-registry
spec:
  replicas: 1
  selector:
    matchLabels:
      app: api-registry
  template:
    metadata:
      labels:
        app: api-registry
    spec:
      containers:
      - name: api-registry
        image: git.pbiernat.io/egommerce/api-registry:dev
